import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function companyCaAuthList(data) {
  return request({
    url: `/company/ca/auth/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function companyCaAuthListExport(data, name) {
  return postBlob({
    url: '/company/ca/auth/list/export',
    data,
    name
  })
}

export function companyCaAuthAdd(data) {
  return request({
    url: '/company/ca/auth/add',
    method: 'post',
    data: data
  })
}

export function companyCaAuthUpdate(data) {
  return request({
    url: '/company/ca/auth/update',
    method: 'post',
    data: data
  })
}

export function companyCaAuthDetail(params) {
  return request({
    url: '/company/ca/auth/detail',
    method: 'post',
    params: params
  })
}

export function companyCaAuthDel(params) {
  return request({
    url: '/company/ca/auth/del',
    method: 'post',
    params: params
  })
}

export function companyCaAuthGetAuth(params) {
  return request({
    url: '/company/ca/auth/get/auth',
    method: 'post',
    params: params
  })
}
